---@meta

---@class ABP_Elevator_C : AB1ElevatorActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field BlockingWall UStaticMeshComponent
---@field doorFrame UStaticMeshComponent
---@field Audio UAudioComponent
---@field PlayerTrigger UBoxComponent
---@field sm_floorSign UStaticMeshComponent
---@field callButton2 UChildActorComponent
---@field callButton UChildActorComponent
---@field rightDoor UStaticMeshComponent
---@field leftDoor UStaticMeshComponent
---@field __________0_F5238BE642FC37B5B0B905A3E31D0CF9 float
---@field ______Direction_F5238BE642FC37B5B0B905A3E31D0CF9 ETimelineDirection::Type
---@field ['타임라인'] UTimelineComponent
---@field timeToWaitAtFloors double
---@field closeDoorTime double
---@field doorSpeed double
---@field floorNumber int32
---@field rightDoorClosedPos FVector
---@field leftDoorClosedPos FVector
---@field rightDoorOpenPos FVector
---@field leftDoorOpenPos FVector
---@field doorsClosing boolean
---@field doorsOpening boolean
---@field rightDoorOpenWorldPosition FVector
---@field leftDoorOpenWorldPosition FVector
---@field Material_LEDDisplay UMaterialInstanceDynamic
local ABP_Elevator_C = {}

function ABP_Elevator_C:UserConstructionScript() end
ABP_Elevator_C['타임라인__FinishedFunc'] = function(self, ) end
ABP_Elevator_C['타임라인__UpdateFunc'] = function(self, ) end
function ABP_Elevator_C:eventCloseDoors() end
---@param HitComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param NormalImpulse FVector
---@param Hit FHitResult
function ABP_Elevator_C:BndEvt__LeftDoor_K2Node_ComponentBoundEvent_0_ComponentHitSignature__DelegateSignature(HitComponent, OtherActor, OtherComp, NormalImpulse, Hit) end
---@param HitComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param NormalImpulse FVector
---@param Hit FHitResult
function ABP_Elevator_C:BndEvt__RightDoor_K2Node_ComponentBoundEvent_1_ComponentHitSignature__DelegateSignature(HitComponent, OtherActor, OtherComp, NormalImpulse, Hit) end
function ABP_Elevator_C:eventOpenDoors() end
function ABP_Elevator_C:ReceiveBeginPlay() end
---@param CurrentFloor int32
function ABP_Elevator_C:SetFloorLEDDisplay(CurrentFloor) end
function ABP_Elevator_C:OnOpenDoor() end
function ABP_Elevator_C:OnCloseDoor() end
---@param InDestination FVector
function ABP_Elevator_C:OnArrived(InDestination) end
---@param EntryPoint int32
function ABP_Elevator_C:ExecuteUbergraph_BP_Elevator(EntryPoint) end


